Bug 434072 - Crash at start of Digikam
Summary: Crash at start of Digikam
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Portability-Runtime (show other bugs)
Version: 7.1.0
Platform: Neon Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2021-03-06 20:10 UTC by Nicolas P
Modified: 2021-04-27 17:04 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 7.3.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nicolas P 2021-03-06 20:10:56 UTC
Application: digikam (7.1.0)

Qt Version: 5.15.2
Frameworks Version: 5.79.0
Operating System: Linux 5.4.0-65-generic x86_64
Windowing System: X11
Drkonqi Version: 5.21.2
Distribution: KDE neon User Edition 5.21

-- Information about the crash:
- What I was doing when the application crashed:
I have just launched DigiKam

- Custom settings of the application:
I have installed DigiKam, at first launch it asks me some parameters. I have selected the folder of my pictures (a NFS mount) and kept all default options. After that it has crashed and any other launch resulted in a crash.

The crash can be reproduced every time.

-- Backtrace:
Application: digiKam (digikam), signal: Aborted

[New LWP 2495833]
[New LWP 2495834]
[New LWP 2495835]
[New LWP 2495847]
[New LWP 2495855]
[New LWP 2495857]
[New LWP 2495858]
[New LWP 2495859]
[New LWP 2495863]
[New LWP 2495864]
[New LWP 2495865]
[New LWP 2495870]
[New LWP 2495888]
[New LWP 2495899]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
0x00007f37e0985aff in __GI___poll (fds=0x7ffedb0cad68, nfds=1, timeout=1000) at ../sysdeps/unix/sysv/linux/poll.c:29
[Current thread is 1 (Thread 0x7f37c3877dc0 (LWP 2495832))]

Thread 15 (Thread 0x7f374effd700 (LWP 2495899)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7f374effb6b8) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x7f374effb668, cond=0x7f374effb690) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x7f374effb690, mutex=0x7f374effb668) at pthread_cond_wait.c:638
#3  0x00007f37db8e8c6a in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f374effb580 in ?? ()
#5  0x00007f374effb650 in ?? ()
#6  0x00007f374effb728 in ?? ()
#7  0x00007f374effb668 in ?? ()
#8  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7f375a7fc700 (LWP 2495888)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7f375a7fa5a8) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x7f375a7fa558, cond=0x7f375a7fa580) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x7f375a7fa580, mutex=0x7f375a7fa558) at pthread_cond_wait.c:638
#3  0x00007f37db8e8c6a in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f375a7fa470 in ?? ()
#5  0x00007f375a7fa540 in ?? ()
#6  0x00007f375a7fa618 in ?? ()
#7  0x00007f375a7fa558 in ?? ()
#8  0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f375affd700 (LWP 2495870)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7f375affb6b8) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x7f375affb668, cond=0x7f375affb690) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x7f375affb690, mutex=0x7f375affb668) at pthread_cond_wait.c:638
#3  0x00007f37db8e8c6a in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f3779ffb700 (LWP 2495865)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7f3779ff95a8) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x7f3779ff9558, cond=0x7f3779ff9580) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x7f3779ff9580, mutex=0x7f3779ff9558) at pthread_cond_wait.c:638
#3  0x00007f37db8e8c6a in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f377a7fc700 (LWP 2495864)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7f377a7fa5a8) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x7f377a7fa558, cond=0x7f377a7fa580) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x7f377a7fa580, mutex=0x7f377a7fa558) at pthread_cond_wait.c:638
#3  0x00007f37db8e8c6a in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f377a7fa470 in ?? ()
#5  0x00007f377a7fa540 in ?? ()
#6  0x00007f377a7fa618 in ?? ()
#7  0x00007f377a7fa558 in ?? ()
#8  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f377affd700 (LWP 2495863)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x559c34c856cc) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x559c34c85608, cond=0x559c34c856a0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x559c34c856a0, mutex=0x559c34c85608) at pthread_cond_wait.c:638
#3  0x00007f37db8e8c6a in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f377affb7e0 in ?? ()
#5  0x0000559c34c856a0 in ?? ()
#6  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f37917fa700 (LWP 2495859)):
#0  futex_abstimed_wait_cancelable (private=<optimized out>, abstime=0x7f37917f8540, clockid=<optimized out>, expected=0, futex_word=0x7f37917f86d8) at ../sysdeps/nptl/futex-internal.h:320
#1  __pthread_cond_wait_common (abstime=0x7f37917f8540, clockid=<optimized out>, mutex=0x7f37917f8688, cond=0x7f37917f86b0) at pthread_cond_wait.c:520
#2  __pthread_cond_timedwait (cond=0x7f37917f86b0, mutex=0x7f37917f8688, abstime=0x7f37917f8540) at pthread_cond_wait.c:656
#3  0x00007f37db8e8dc2 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x0000000000114f29 in ?? ()
#5  0x0000000011ad08a4 in ?? ()
#6  0x0000000000114f08 in ?? ()
#7  0x0000000011ad08a4 in ?? ()
#8  0x00007f37917f8580 in ?? ()
#9  0x00007ffedb1fd918 in clock_gettime ()
#10 0x00007f37db8e97ff in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#11 0x00007f37917f8760 in ?? ()
#12 0x00007f37917f8610 in ?? ()
#13 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f3791ffb700 (LWP 2495858)):
#0  futex_abstimed_wait_cancelable (private=<optimized out>, abstime=0x7f3791ff9540, clockid=<optimized out>, expected=0, futex_word=0x7f3791ff96d8) at ../sysdeps/nptl/futex-internal.h:320
#1  __pthread_cond_wait_common (abstime=0x7f3791ff9540, clockid=<optimized out>, mutex=0x7f3791ff9688, cond=0x7f3791ff96b0) at pthread_cond_wait.c:520
#2  __pthread_cond_timedwait (cond=0x7f3791ff96b0, mutex=0x7f3791ff9688, abstime=0x7f3791ff9540) at pthread_cond_wait.c:656
#3  0x00007f37db8e8dc2 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x0000000000114f29 in ?? ()
#5  0x0000000011ac7962 in ?? ()
#6  0x0000000000114f08 in ?? ()
#7  0x0000000011ac7962 in ?? ()
#8  0x00007f3791ff9580 in ?? ()
#9  0x00007ffedb1fd918 in clock_gettime ()
#10 0x00007f37db8e97ff in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#11 0x00007f3791ff9760 in ?? ()
#12 0x00007f3791ff9610 in ?? ()
#13 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f37927fc700 (LWP 2495857)):
#0  __GI___libc_write (nbytes=50, buf=0x7f37927f7920, fd=2) at ../sysdeps/unix/sysv/linux/write.c:26
#1  __GI___libc_write (fd=2, buf=0x7f37927f7920, nbytes=50) at ../sysdeps/unix/sysv/linux/write.c:24
#2  0x00007f37e090200d in _IO_new_file_write (f=0x7f37e0a5c5c0 <_IO_2_1_stderr_>, data=0x7f37927f7920, n=50) at fileops.c:1176
#3  0x00007f37e0902928 in new_do_write (to_do=<optimized out>, data=0x7f37927f7920 "[warn] epoll_wait: Mauvais descripteur de fichier\n", fp=0x7f37e0a5c5c0 <_IO_2_1_stderr_>) at libioP.h:948
#4  _IO_new_file_xsputn (n=50, data=<optimized out>, f=<optimized out>) at fileops.c:1255
#5  _IO_new_file_xsputn (f=0x7f37e0a5c5c0 <_IO_2_1_stderr_>, data=<optimized out>, n=50) at fileops.c:1197
#6  0x00007f37e08ed0d3 in buffered_vfprintf (s=s@entry=0x7f37e0a5c5c0 <_IO_2_1_stderr_>, format=format@entry=0x7f37d3a41258 "[%s] %s\n", args=args@entry=0x7f37927f9ee0, mode_flags=mode_flags@entry=2) at ../libio/libioP.h:948
#7  0x00007f37e08e9ea4 in __vfprintf_internal (s=0x7f37e0a5c5c0 <_IO_2_1_stderr_>, format=0x7f37d3a41258 "[%s] %s\n", ap=ap@entry=0x7f37927f9ee0, mode_flags=2) at vfprintf-internal.c:1346
#8  0x00007f37e09a11b3 in ___fprintf_chk (fp=<optimized out>, flag=<optimized out>, format=<optimized out>) at fprintf_chk.c:33
#9  0x00007f37d3a27b36 in event_logv_ () from /usr/lib/x86_64-linux-gnu/libevent-2.1.so.7
#10 0x00007f37d3a27d09 in event_warn () from /usr/lib/x86_64-linux-gnu/libevent-2.1.so.7
#11 0x00007f37d3a29768 in ?? () from /usr/lib/x86_64-linux-gnu/libevent-2.1.so.7
#12 0x00007f37d3a1f625 in event_base_loop () from /usr/lib/x86_64-linux-gnu/libevent-2.1.so.7
#13 0x00007f37db8f5d9c in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#14 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f37937fe700 (LWP 2495855)):
#0  0x00007f37e08e6f2a in printf_positional (s=s@entry=0x7f37937fbd70, format=format@entry=0x7f37d3a44104 ": %s", readonly_format=readonly_format@entry=0, ap=ap@entry=0x7f37937fbf10, ap_savep=ap_savep@entry=0x7f37937fb908, done=2, nspecs_done=0, lead_str_end=0x7f37d3a44106 "%s", work_buffer=0x7f37937fb930 "", save_errno=9, grouping=0xffffffffffffffff <error: Cannot access memory at address 0xffffffffffffffff>, thousands_sep=0x0, mode_flags=2) at vfprintf-internal.c:1754
#1  0x00007f37e08e9f4d in __vfprintf_internal (s=s@entry=0x7f37937fbd70, format=format@entry=0x7f37d3a44104 ": %s", ap=ap@entry=0x7f37937fbf10, mode_flags=mode_flags@entry=2) at vfprintf-internal.c:1733
#2  0x00007f37e08ff11a in __vsnprintf_internal (string=0x7f37937fbffa ": Mauvais descripteur de fichier", maxlen=<optimized out>, format=0x7f37d3a44104 ": %s", args=0x7f37937fbf10, mode_flags=2) at vsnprintf.c:114
#3  0x00007f37d3a24533 in evutil_vsnprintf () from /usr/lib/x86_64-linux-gnu/libevent-2.1.so.7
#4  0x00007f37d3a245d3 in evutil_snprintf () from /usr/lib/x86_64-linux-gnu/libevent-2.1.so.7
#5  0x00007f37d3a27b7c in event_logv_ () from /usr/lib/x86_64-linux-gnu/libevent-2.1.so.7
#6  0x00007f37d3a27d09 in event_warn () from /usr/lib/x86_64-linux-gnu/libevent-2.1.so.7
#7  0x00007f37d3a29768 in ?? () from /usr/lib/x86_64-linux-gnu/libevent-2.1.so.7
#8  0x00007f37d3a1f625 in event_base_loop () from /usr/lib/x86_64-linux-gnu/libevent-2.1.so.7
#9  0x00007f37db8f5ec8 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007f37937fc640 in ?? ()
#11 0x01007f37bc005590 in ?? ()
#12 0x00007f3784001ce9 in ?? ()
#13 0x00007f3784001ce8 in ?? ()
#14 0x00007f37937fc630 in ?? ()
#15 0x00007f37937fc628 in ?? ()
#16 0x00007f37840024f0 in ?? ()
#17 0x00000000c9c4f449 in ?? ()
#18 0x0000000000000d39 in ?? ()
#19 0x000000000001f409 in ?? ()
#20 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f37a9fe3700 (LWP 2495847)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x559c34df15c0) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x559c34df1570, cond=0x559c34df1598) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x559c34df1598, mutex=0x559c34df1570) at pthread_cond_wait.c:638
#3  0x00007f37e0d33d1b in QWaitConditionPrivate::wait (deadline=..., this=0x559c34df1570) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=<optimized out>, mutex=0x559c34e02b48, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007f37e26276af in ?? () from /usr/lib/x86_64-linux-gnu/libdigikamcore.so.7.1.0
#6  0x00007f37e0d2dbac in QThreadPrivate::start (arg=0x559c34e02b30) at thread/qthread_unix.cpp:329
#7  0x00007f37d74fc609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#8  0x00007f37e0992293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7f37ba0f7700 (LWP 2495835)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x559c34b1e484) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x559c34b1e430, cond=0x559c34b1e458) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x559c34b1e458, mutex=0x559c34b1e430) at pthread_cond_wait.c:638
#3  0x00007f37e0d33d1b in QWaitConditionPrivate::wait (deadline=..., this=0x559c34b1e430) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=<optimized out>, mutex=0x559c34b14698, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007f37e33c9621 in Digikam::ScanController::run() () from /usr/lib/x86_64-linux-gnu/libdigikamgui.so.7.1.0
#6  0x00007f37e0d2dbac in QThreadPrivate::start (arg=0x7f37e39735c0) at thread/qthread_unix.cpp:329
#7  0x00007f37d74fc609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#8  0x00007f37e0992293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7f37c1677700 (LWP 2495834)):
#0  0x00007f37e0985aff in __GI___poll (fds=0x7f37b4015670, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f37d47f618e in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f37d47f62c3 in g_main_context_iteration () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f37e0f6dfbb in QEventDispatcherGlib::processEvents (this=0x7f37b4000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f37e0f121ab in QEventLoop::exec (this=this@entry=0x7f37c16757b0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#5  0x00007f37e0d2ca12 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#6  0x00007f37d7a75f4b in ?? () from /usr/lib/x86_64-linux-gnu/libQt5DBus.so.5
#7  0x00007f37e0d2dbac in QThreadPrivate::start (arg=0x7f37d7af9d80) at thread/qthread_unix.cpp:329
#8  0x00007f37d74fc609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007f37e0992293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7f37c29e7700 (LWP 2495833)):
#0  0x00007f37e0985aff in __GI___poll (fds=0x7f37c29e56e8, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f37d165bc1a in ?? () from /usr/lib/x86_64-linux-gnu/libxcb.so.1
#2  0x00007f37d165d90a in xcb_wait_for_event () from /usr/lib/x86_64-linux-gnu/libxcb.so.1
#3  0x00007f37c2f17d58 in QXcbEventQueue::run (this=0x559c3495a2a0) at qxcbeventqueue.cpp:228
#4  0x00007f37e0d2dbac in QThreadPrivate::start (arg=0x559c3495a2a0) at thread/qthread_unix.cpp:329
#5  0x00007f37d74fc609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007f37e0992293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7f37c3877dc0 (LWP 2495832)):
[KCrash Handler]
#4  __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:50
#5  0x00007f37e0895859 in __GI_abort () at abort.c:79
#6  0x00007f37e0cf2be7 in qt_message_fatal (context=..., message=<synthetic pointer>...) at global/qlogging.cpp:1914
#7  QMessageLogger::fatal (this=<optimized out>, msg=<optimized out>) at global/qlogging.cpp:893
#8  0x00007f37d41a5e53 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5QuickWidgets.so.5
#9  0x00007f37d41a619f in ?? () from /usr/lib/x86_64-linux-gnu/libQt5QuickWidgets.so.5
#10 0x00007f37d41a82b6 in QQuickWidget::resizeEvent(QResizeEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5QuickWidgets.so.5
#11 0x00007f37e06dad2d in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineWidgets.so.5
#12 0x00007f37e1a2e28f in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#13 0x00007f37d41a8fa7 in QQuickWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5QuickWidgets.so.5
#14 0x00007f37e06db050 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5WebEngineWidgets.so.5
#15 0x00007f37e19eadc3 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#16 0x00007f37e19f3bb8 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#17 0x00007f37e0f1369a in QCoreApplication::notifyInternal2 (receiver=0x559c361e8740, event=0x7ffedb0cbf60) at ../../include/QtCore/5.15.2/QtCore/private/../../../../../src/corelib/thread/qthread_p.h:325
#18 0x00007f37e1a25f2e in QWidgetPrivate::sendPendingMoveAndResizeEvents(bool, bool) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#19 0x00007f37e1a2a577 in QWidgetPrivate::show_helper() () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#20 0x00007f37e1a2a519 in QWidgetPrivate::showChildren(bool) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#21 0x00007f37e1a2a593 in QWidgetPrivate::show_helper() () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#22 0x00007f37e1a2a519 in QWidgetPrivate::showChildren(bool) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#23 0x00007f37e1a2a593 in QWidgetPrivate::show_helper() () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#24 0x00007f37e1a2d6a3 in QWidgetPrivate::setVisible(bool) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#25 0x00007f37e1a2a501 in QWidgetPrivate::showChildren(bool) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#26 0x00007f37e1a2a593 in QWidgetPrivate::show_helper() () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#27 0x00007f37e1a2d6a3 in QWidgetPrivate::setVisible(bool) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#28 0x00007f37e1a2a501 in QWidgetPrivate::showChildren(bool) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#29 0x00007f37e1a2a593 in QWidgetPrivate::show_helper() () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#30 0x00007f37e1a2d6a3 in QWidgetPrivate::setVisible(bool) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#31 0x00007f37e1a2a501 in QWidgetPrivate::showChildren(bool) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#32 0x00007f37e1a2a593 in QWidgetPrivate::show_helper() () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#33 0x00007f37e1a2d6a3 in QWidgetPrivate::setVisible(bool) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#34 0x00007f37e1a2a501 in QWidgetPrivate::showChildren(bool) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#35 0x00007f37e1a2a593 in QWidgetPrivate::show_helper() () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#36 0x00007f37e1a2d6a3 in QWidgetPrivate::setVisible(bool) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#37 0x00007f37e1a2a501 in QWidgetPrivate::showChildren(bool) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#38 0x00007f37e1a2a593 in QWidgetPrivate::show_helper() () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#39 0x00007f37e1a2d6a3 in QWidgetPrivate::setVisible(bool) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#40 0x00007f37e32d9e30 in Digikam::DigikamApp::show() () from /usr/lib/x86_64-linux-gnu/libdigikamgui.so.7.1.0
#41 0x0000559c32b35469 in ?? ()
#42 0x00007f37e08970b3 in __libc_start_main (main=0x559c32b347c0, argc=1, argv=0x7ffedb0ccc98, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7ffedb0ccc88) at ../csu/libc-start.c:308
#43 0x0000559c32b365ae in _start ()
[Inferior 1 (process 2495832) detached]

Possible duplicates by query: bug 429344, bug 427384, bug 424911, bug 423951, bug 423222.

Reported using DrKonqi
Comment 1 caulier.gilles 2021-03-06 20:19:32 UTC
It's probably due to the whole qdebug message forwarded by SUSE from user applications to system log. This is completely stupid... 

We have turn around this problem with 7.2.0 release. You can test with pre-version AppImage bundle available here :

https://files.kde.org/digikam/

Gilles Caulier
Comment 2 Maik Qualmann 2021-03-06 20:21:06 UTC
The crash is not in digiKam. It crashes in a Qt Quick Widget. I suspect your system notifikation widget is crashing here. this is probably a package problem.

Maik
Comment 3 Maik Qualmann 2021-03-06 20:35:41 UTC
I think thread 6 is the cause of the crash and this one belongs to QWebEngine.

Maik
Comment 4 caulier.gilles 2021-03-30 06:53:26 UTC
digiKam 7.2.0 official release is published with more than 360 files closed from bugzilla:

https://www.digikam.org/news/2021-03-22-7.2.0_release_announcement/

Can you reproduce the dysfunction with this version ?

Thanks in advance for your feedback

Gilles Caulier
Comment 5 Nicolas P 2021-04-26 17:22:33 UTC
Hello,

I cannot reproduce with DigiKam 7.2.
Thanks for all!
Comment 6 Maik Qualmann 2021-04-27 17:04:20 UTC
Thanks for the feedback.

Maik